Class lquant
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lquant

public class lquant
extends ej
Quantize a list (aka rounding to the nearest subdivision).
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lquant() Create a ej.lquant object with rounding default value (1.)
lquant(com.cycling74.max.Atom[] args) Create a lquant object with the defined value(s)

Method Summary
void | bang() Re-Trigger the calculation.
void | inlet(float f) Do something depending on the inlet number...
void | inlet(int i) Do something depending on the inlet number...
void | list(float[] args) Calculate or set the quantizing factors, depending on the inlet number
void | set(float[] args) Define the list to be quantized, without triggering the calculation.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
lquant
public lquant()

  Create a ej.lquant object with rounding default value (1.)

lquant
public lquant(com.cycling74.max.Atom[] args)

  Create a lquant object with the defined value(s)
  Parameters:
    args - set the quantification list

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Do something depending on the inlet number...
  Overrides:
    inlet in class ej
  Parameters:
    i - if the value arrives in the left inlet: quantize that value if the falue arrives in the right inlet: set the new quantizing factors

inlet
public void inlet(float f)

  Do something depending on the inlet number...
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the left inlet: quantize that value if the falue arrives in the right inlet: set the new quantizing factors

list
public void list(float[] args)

  Calculate or set the quantizing factors, depending on the inlet number
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - if the list arrives in the left inlet: quantize that list if the list arrives in the right inlet: set the new quantizing factors

set
public void set(float[] args)

  Define the list to be quantized, without triggering the calculation.
  Parameters:
    args - if the list arrives in the left inlet: store the list to be quantized if the list arrives in the right inlet: set the new quantizing factors

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com